@import url('https://fonts.googleapis.com/css2?family=Coiny&family=Gorditas:wght@400;700&display=swap');


body {
    background-color: #777;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 48px;

    height: 100vh;

    overflow: hidden;
}

#cards {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    width: 100vw;
    gap: 128px;
}

card {
    background-color: white;
    aspect-ratio: 2.5/3.5;

    height: 1000px;

    display: block;
    position: relative;

    border: 12px solid black;
    overflow: hidden;
}

inner {
    display: block;
    position: absolute;

    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);
    width: calc(100% - 148px);
    height: calc(100% - 128px);
}

#cardName {
    font-size: 54px;
    font-family: "Coiny";
    margin: 0;
}

#energy {
    position: absolute;
    right: 0;
    top: 6px;
    display: flex;
    flex-direction: row;
    height: 96px;
}

#energy svg {
    height: 74px;
    width: 74px;

    filter: drop-shadow(0 0 12px #fbdd2b77);
}

#imageBorder {
    position: absolute;
    top: 112px;

    width: 100%;
    aspect-ratio: 4/3;

    border: 10px solid black;
    box-sizing: border-box;
}

#imageBorder img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    width: 100%;
    height: 100%;
    padding: 10px;
    box-sizing: border-box;

    image-rendering: pixelated;
    object-fit: cover;
}

#description {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 240px;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 24px;

    text-align: center;
    font-size: 48px;

    font-family: "Gorditas";
}

#description i {
    opacity: 0.7;
    font-size: 28px;
    display: inline;
}

.chip {
    width: 1000px;
    height: 500px;

    position: absolute;
    background: var(--colour);
    z-index: -1;

    outline: 12px solid black;

    box-shadow: 0 0 6px #0007 inset;
}

.chip.tl {
    top: -560px;
    left: -560px;

    rotate: -45deg;
}

.chip.br {
    bottom: -560px;
    right: -560px;

    rotate: -45deg;
}